Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 646010 (CVE-2017-17858, CVE-2018-5686, CVE-2018-6187, CVE-2018-6192) - <app-text/mupdf-1.13.0: Multiple vulnerabilities
Summary: <app-text/mupdf-1.13.0: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2017-17858, CVE-2018-5686, CVE-2018-6187, CVE-2018-6192
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on: 658618
Blocks:
  Show dependency tree
 
Reported: 2018-01-29 00:09 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-26 18:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-01-29 00:09:06 UTC
CVE-2018-6192 (https://nvd.nist.gov/vuln/detail/CVE-2018-6192):
  In Artifex MuPDF 1.12.0, the pdf_read_new_xref function in pdf/pdf-xref.c
  allows remote attackers to cause a denial of service (segmentation violation
  and application crash) via a crafted pdf file.

CVE-2018-6187 (https://nvd.nist.gov/vuln/detail/CVE-2018-6187):
  In Artifex MuPDF 1.12.0, there is a heap-based buffer overflow vulnerability
  in the do_pdf_save_document function in the pdf/pdf-write.c file. Remote
  attackers could leverage the vulnerability to cause a denial of service via
  a crafted pdf file.

CVE-2018-5686 (https://nvd.nist.gov/vuln/detail/CVE-2018-5686):
  In MuPDF 1.12.0, there is an infinite loop vulnerability and application
  hang in the pdf_parse_array function (pdf/pdf-parse.c) because EOF is not
  considered. Remote attackers could leverage this vulnerability to cause a
  denial of service via a crafted pdf file.

CVE-2017-17858 (https://nvd.nist.gov/vuln/detail/CVE-2017-17858):
  Heap-based buffer overflow in the ensure_solid_xref function in
  pdf/pdf-xref.c in Artifex MuPDF 1.12.0 allows a remote attacker to
  potentially execute arbitrary code via a crafted PDF file, because xref
  subsection object numbers are unrestricted.
Comment 1 Larry the Git Cow gentoo-dev 2018-07-25 01:33:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=856a6ad1fd3dfe1ab67a2976edc3f5dedd694fa3

commit 856a6ad1fd3dfe1ab67a2976edc3f5dedd694fa3
Author:     Jouni Kosonen <jouni.kosonen@tukesoft.com>
AuthorDate: 2018-06-27 07:03:42 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-07-25 01:31:14 +0000

    app-text/mupdf: version bump to 1.13.0
    
    Bug: https://bugs.gentoo.org/646010
    Bug: https://bugs.gentoo.org/651828
    Bug: https://bugs.gentoo.org/658618

 app-text/mupdf/Manifest                            |   1 +
 .../mupdf/files/mupdf-1.13-openssl-curl-x11.patch  |  39 +++++
 app-text/mupdf/mupdf-1.13.0.ebuild                 | 166 +++++++++++++++++++++
 3 files changed, 206 insertions(+)
Comment 2 Virgil Dupras gentoo-dev 2018-08-18 21:08:37 UTC
Syncing whiteboard status with bug 658618
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-11-24 21:58:18 UTC
added to GLSA.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-11-26 18:35:02 UTC
This issue was resolved and addressed in
 GLSA 201811-15 at https://security.gentoo.org/glsa/201811-15
by GLSA coordinator Aaron Bauman (b-man).